Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# NetSenderBase Class Reference

Base class for NetSenders. More...

`#include <NetSender.h>`

Inheritance diagram for NetSenderBase:

[legend]
Collaboration diagram for NetSenderBase:

[legend]
List of all members.

## Public Member Functions
| NetSenderBase ()
| ~NetSenderBase ()
virtual void | send (void)
void * | getPackage (int newsize)
void | freePackage ()
void | setHandler (NetHandler *h)
void | sendDone ()
## Public Attributes
NetHandler * | handler
void * | package
int | size
bool | sending
unsigned long | sendStartTimeStamp
int | senderNumber

## Detailed Description

Base class for NetSenders.

Has the template-independent parts

Definition at line 14 of file NetSender.h.

## Constructor & Destructor Documentation

NetSenderBase::NetSenderBase | ( |  | ) | `[inline]`

| Definition at line 17 of file NetSender.h. References senderNumber.

NetSenderBase::~NetSenderBase | ( |  | ) | `[inline]`

| Definition at line 25 of file NetSender.h. References freePackage().

Here is the call graph for this function:

## Member Function Documentation

virtual void NetSenderBase::send | ( | void |  | ) | `[inline, virtual]`

| Reimplemented in NetSender< T >, NetDebugSender, and NetSender< MessageQueue >. Definition at line 30 of file NetSender.h.

void* NetSenderBase::getPackage | ( | int | newsize | ) | `[inline]`

| Definition at line 32 of file NetSender.h. References ASSERT. Referenced by UDPHandler::addSenderAndReceiver(), NetDebugSender::send(), NetSender< MessageQueue >::send(), and TCPHandler::TCPHandler().

void NetSenderBase::freePackage | ( |  | ) | `[inline]`

| Definition at line 45 of file NetSender.h. Referenced by ~NetSenderBase().

void NetSenderBase::setHandler | ( | NetHandler * | h | ) | `[inline]`

| Definition at line 53 of file NetSender.h. References handler. Referenced by UDPHandler::addSenderAndReceiver(), TCPHandler::setTransmitters(), and TCPHandler::TCPHandler().

void NetSenderBase::sendDone | ( |  | ) | `[inline]`

| Definition at line 58 of file NetSender.h. References sending. Referenced by TCPHandler::onConnect(), UDPHandlerEndpoint::onSendingDone(), TCPHandler::onSendingDone(), and UDPHandlerEndpoint::sendPackage().

## Member Data Documentation

NetHandler* NetSenderBase::handler

| Definition at line 66 of file NetSender.h. Referenced by setHandler().

void* NetSenderBase::package

| Definition at line 67 of file NetSender.h.

int NetSenderBase::size

| Definition at line 68 of file NetSender.h.

bool NetSenderBase::sending

| Definition at line 69 of file NetSender.h. Referenced by sendDone().

unsigned long NetSenderBase::sendStartTimeStamp

| Definition at line 70 of file NetSender.h.

int NetSenderBase::senderNumber

| Definition at line 71 of file NetSender.h. Referenced by UDPHandler::addSenderAndReceiver(), NetSenderBase(), and UDPHandlerEndpoint::onReceive().

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/NetSender.h